Search documentation of polar_express

# PolarExpress.Services.RefundsService (polar_express v0.1.5)

Copy Markdown View Source

Refunds

Refunds API operations.

## Summary

### Functions

create_refund(client, params \\ %{}, opts \\ [])

Create Refund

list_refunds(client, params \\ %{}, opts \\ [])

List Refunds

## Functions

# create_refund(client, params \\ %{}, opts \\ [])

    @spec create_refund(PolarExpress.Client.t(), map(), keyword()) ::
      {:ok, PolarExpress.Schemas.Refund.t()} | {:error, PolarExpress.Error.t()}

Create Refund

Create a refund.

Scopes: `refunds:write`

See `PolarExpress.Params.RefundsCreateRefundParams` for parameter details.

# list_refunds(client, params \\ %{}, opts \\ [])

    @spec list_refunds(PolarExpress.Client.t(), map(), keyword()) ::
      {:ok, PolarExpress.ListObject.t()} | {:error, PolarExpress.Error.t()}

List Refunds

List refunds.

Scopes: `refunds:read` `refunds:write`

See `PolarExpress.Params.RefundsListRefundsParams` for parameter details.